Bug 7732 - Restoring "More lists" in the Add-to combo of OPAC Search Results
Summary: Restoring "More lists" in the Add-to combo of OPAC Search Results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on: 7310
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 12:51 UTC by Marcel de Rooy
Modified: 2013-12-05 19:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (2.65 KB, patch)
2012-03-19 13:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7732: Restoring "More lists" in the Add-to combo of OPAC Search Results (2.83 KB, patch)
2012-03-19 15:14 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2012-03-19 12:51:04 UTC
This is a followup of report 7310 handling this QA comment:

One small thing: C4/Auth.pm removed the export of template param "bartotal", but this is still used in one template, opac/opac-results.tt, to display a More Lists option in the dropdown menu.  It doesn't appear that this param gets exported anywhere else, so I believe it will fail to display the More Lists option at any time.  I don't know if this is particularly relevant, and I'm not sure how best to deal with it, but any fix for this can be handled with a followup patch.
Comment 1 Marcel de Rooy 2012-03-19 13:38:52 UTC
Patch does the following:

1) More lists -> More Lists in order to be consistent with context
2) More Lists is put just before New List at the end of the combo list. (More logical place than between your and public lists.) 
3) More Lists is only shown when the number of private or public lists exceeds 9; this is a pragmatic and hard-coded approach for now. Only if there are exactly 10 lists, this does not really add a list. But who cares about that?
4) Resolves a potential bug with an [% END %] at the wrong place. Moved it after the finishing optgroup tag.

So much in only eight lines :-)

Test plan: After 7310 has been applied, you did not see More lists anymore. If the number of private and public lists <10, you will not see More lists. As soon as the number of private or public lists >=10, More Lists comes up.
Comment 2 Marcel de Rooy 2012-03-19 13:43:05 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-03-19 15:14:22 UTC
Created attachment 8298 [details] [review]
[SIGNED-OFF] Bug 7732: Restoring "More lists" in the Add-to combo of OPAC Search Results

1) More lists -> More Lists in order to be consistent with context.
2) More Lists is put just before New List at the end of the combo list. (More logical place than between your and public lists.)
3) More Lists is only shown when the number of private or public lists exceeds 9; this is a pragmatic and hard-coded approach for now. Only if there are exactly 10 lists, this does not really add a list. But who cares about that?
4) Resolves a potential bug with an [% END %] at the wrong place. Moved it after the finishing optgroup tag.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Performed a search in the OPAC without the patch and More Lists does
not appear. Applied patch and perfomred OPAC search again and the More
Lists option reappears. Signed off.
Comment 4 Nicole C. Engard 2012-03-19 15:14:49 UTC
Signing off on patch for OPAC. Note that the More Lists option does not appear in the staff client still.

Nicole
Comment 5 Nicole C. Engard 2012-03-19 15:15:38 UTC
Question: Should more lists show in the staff client? I have 11 lists and they all show in the pull down in the staff client - making the More option not necessary.
Comment 6 Ian Walls 2012-03-19 21:43:07 UTC
Nicole,

If the 'more lists' isn't working on the staff client, it's for different reasons than the OPAC... the OPAC side had lost a template param with 7310 that resulted in that option never displaying.  This patch fixes that, but doesn't address the staff side at all.  That could be a separate bug, but perhaps having them all show up is a feature...

Template only change, easy to read, marking as Passed QA.  Please note this depends on bug 7310, and must be pushed after.
Comment 7 Marcel de Rooy 2012-03-21 16:05:24 UTC
Nicole: I will send a followup for staff too (after 7310).
Comment 8 Marcel de Rooy 2012-03-22 06:57:14 UTC
The complementing patch for staff is found under bug 7786.
Comment 9 Paul Poulain 2012-03-22 08:51:46 UTC
tiny patch, pushed